Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class WhileActivity11

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
              org.apache.ode.bpel.compiler.bom.Activity
                  org.apache.ode.bpel.compiler.bom.WhileActivity
                      org.apache.ode.bpel.compiler.bom.WhileActivity11

All Implemented Interfaces:
  SourceLocation

    public class WhileActivity11

extends WhileActivity

BPEL 1.1 version of the /while/ activity.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`WhileActivity11(org.w3c.dom.Element el)`

Method Summary
`Expression` | `getCondition()` Get the while condition.

Methods inherited from class org.apache.ode.bpel.compiler.bom.WhileActivity
`getActivity`

Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity
`getJoinCondition, getLinkSources, getLinkTargets, getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WhileActivity11

    public WhileActivity11(org.w3c.dom.Element el)

Method Detail

### getCondition

    public Expression getCondition()

  Description copied from class: `WhileActivity`
  Get the while condition.

  Overrides:
    `getCondition` in class `WhileActivity`
  Returns:
    the while condition

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD